#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# check for Xext
pkg_search_module( XEXT xext )
if( NOT XEXT_FOUND )
  tde_message_fatal( "Xext are required, but not found on your system" )
endif()


# check for Xtst
pkg_search_module( XTST xtst )
if( NOT XTST_FOUND )
  tde_message_fatal( "Xtst are required, but not found on your system" )
endif()


# check for xscrnsaver
pkg_search_module( XSCRNSAVER xscrnsaver )
if( NOT XSCRNSAVER_FOUND )
  tde_message_fatal( "xscrnsaver are required, but not found on your system" )
endif()


# check for dbus-1
pkg_search_module( DBUS dbus-1 )
if( NOT DBUS_FOUND )
  tde_message_fatal( "dbus-1 is required, but was not found on your system" )
endif( )


# check for dbus-tqt
pkg_search_module( DBUS_TQT dbus-tqt )
if( NOT DBUS_TQT_FOUND )
  tde_message_fatal( "dbus-tqt is required, but was not found on your system" )
endif( )


# required stuff
find_package( TQt )
find_package( TDE )
